/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class SendStatusEnum extends IntEnum
{
    public static final int SUCCESS_VALUE = 1;//alias=³É¹¦
    public static final int FAILURE_VALUE = 2;//alias=Ê§°Ü

    public static final SendStatusEnum SUCCESS = new SendStatusEnum("SUCCESS", SUCCESS_VALUE);
    public static final SendStatusEnum FAILURE = new SendStatusEnum("FAILURE", FAILURE_VALUE);

    /**
     * construct function
     * @param integer sendStatusEnum
     */
    private SendStatusEnum(String name, int sendStatusEnum)
    {
        super(name, sendStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SendStatusEnum getEnum(String sendStatusEnum)
    {
        return (SendStatusEnum)getEnum(SendStatusEnum.class, sendStatusEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static SendStatusEnum getEnum(int sendStatusEnum)
    {
        return (SendStatusEnum)getEnum(SendStatusEnum.class, sendStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SendStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SendStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SendStatusEnum.class);
    }
}